<script setup>
const props = defineProps (['locationClass','url','mailtitle','mailbody']);

const showMenu = ref(false);
const menuX = ref(0);
const menuY = ref(0);

function showContextMenu (event) {
  showMenu.value = true;
  menuX.value = event.clientX;
  menuY.value = event.clientY;
}

function closeContextMenu () {
  showMenu.value = false;
}</script>

<template>
  <div class="overlay" @click="closeContextMenu" v-if="showMenu"></div>
  <img src="/images/partager.svg" width="30px" height="30px" alt="bouton partager" :class="locationClass+' hover:cursor-pointer'" @contextmenu.prevent="showContextMenu">
      <!-- Custom Context Menu -->
      <ContextMenuPartagerMenu
          v-if="showMenu"
          :style="{ top: menuY + 'px', left: menuX + 'px' }"
          :url="url"
          :mailtitle="mailtitle"
          :mailbody="mailbody"
      />
</template>

<style scoped>
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: transparent;
  z-index: 49;
  cursor: default;
}

.overlay::before {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
}

.overlay:hover {
  cursor: default;
}
</style>